#
# Conditional build:
%bcond_with	tests		# build without tests

%define pkgname compass
Summary:	A Sass-based CSS Meta-Framework
Name:		ruby-%{pkgname}
Version:	1.0.1
Release:	3
License:	MIT
Group:		Development/Languages
Source0:	http://gemcutter.org/downloads/compass-%{version}.gem
# Source0-md5:	5a19400d88b93f091d12ce178b43e8ca
URL:		http://compass-style.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
%if %{with tests}
# For Testing
BuildRequires:	rubygem(chunky_png)
#BuildRequires: rubygem(cucumber)
BuildRequires:	rubygem(diff-lcs)
BuildRequires:	rubygem(minitest)
BuildRequires:	rubygem(mocha)
BuildRequires:	rubygem(sass)
%endif
Requires:	ruby-chunky_png < 2
Requires:	ruby-chunky_png >= 1.2
Requires:	ruby-compass-core < 1.1
Requires:	ruby-compass-core >= 1.0.1
Requires:	ruby-compass-import-once < 1.1
Requires:	ruby-compass-import-once >= 1.0.5
Requires:	ruby-rb-inotify >= 0.9
Requires:	ruby-sass < 3.5
Requires:	ruby-sass >= 3.3.13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Sass-based CSS Meta-Framework that allows you to mix and match any
of the following CSS frameworks: Compass Core, Blueprint, 960, Susy,
YUI, and others.

%prep
%setup -q -n %{pkgname}-%{version}
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
# write .gemspec
%__gem_helper spec

%{__sed} -i -e '/rb-fsevent/d' %{pkgname}-%{version}.gemspec

%if %{with tests}
# Original test
#find -type f -name *_test.rb | xargs testrb -Ilib:test
# Only run the tests that run
testrb -Ilib:test \
./test/integrations/sprites_test.rb \
./test/units/actions_test.rb \
./test/units/command_line_test.rb \
./test/units/compass_module_test.rb \
./test/units/configuration_test.rb  \
./test/units/sprites/engine_test.rb \
./test/units/sprites/image_row_test.rb \
./test/units/sprites/importer_test.rb \
./test/units/sprites/layout_test.rb \
./test/units/sprites/sprite_command_test.rb \
./test/units/sprites/sprite_map_test.rb \

# These tests fail for various reasons
#./test/units/sprites/image_test.rb \
#./test/units/sprites/row_fitter_test.rb \
#./test/units/compiler_test.rb \
#./test/units/compass_png_test.rb \
#./test/units/sass_extensions_test.rb \
#./test/integrations/compass_test.rb
#./test/units/regressions_test.rb \

# rpmlint will complain about these files
rm -rf test/fixtures/stylesheets/*/sass/.sass-cache
rm -rf .sass-cache
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.markdown
%attr(755,root,root) %{_bindir}/compass
%{ruby_vendorlibdir}/compass.rb
%{ruby_vendorlibdir}/compass
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-compass.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 809eba8
- rebuild without versioned ruby abi dep
- release 3 (by relup.sh)

* Thu Dec 18 2014 Elan Ruusamäe <glen@delfi.ee> f3564fd
- rb-fsevent is platform specific (osx) dep. drop it

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 9b66b85
- up to 1.0.1

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> cba0647
- requires sass

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> ba66646
- new, version 0.12.5

